Profile - Retrieve Active Routing Algorithm
curl --request GET \
--url https://sandbox.birrpay.io/v2/profiles/{id}/routing-algorithm \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.birrpay.io/v2/profiles/{id}/routing-algorithm"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.birrpay.io/v2/profiles/{id}/routing-algorithm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"algorithm": {
"id": "<string>",
"profile_id": "<string>",
"name": "<string>",
"description": "<string>",
"algorithm": {
"type": "single",
"data": {
"connector": "authipay",
"merchant_connector_id": "<string>"
}
},
"created_at": 123,
"modified_at": 123,
"algorithm_for": "payment"
}
}Profile
Profile - Retrieve Active Routing Algorithm
_ Retrieve active routing algorithm under the profile
GET
/
v2
/
profiles
/
{id}
/
routing-algorithm
Profile - Retrieve Active Routing Algorithm
Authorizations
api_keyjwt_key
Format: api-key=<api_key>
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for the profile
Query Parameters
The number of records of the algorithms to be returned
Required range:
x >= 0The record offset of the algorithm from which to start gathering the results
Required range:
x >= 0Response
Successfully retrieved active config
- object
- object[]
Response of the retrieved routing configs for a merchant account
Routing Algorithm specific to merchants
Show child attributes
Show child attributes